API referenceModels
Retrieve a model
GET
bearerAuthheader
AuthorizationBearer <token>API key, e.g. rf_live_3f9k2q_….
model_id*stringURL-encoded model id, e.g. bytedance%2Fseedance-2.5.
The model.
application/json- response
object*unknownid*stringname?stringprovider*stringtype*MediaTypeValue in
"image""video"modes*array<>capabilities*provider_options_schema?JSON Schema for the provider_options this model accepts. Not returned yet.
pricing*array<>cancel_policy?stringValue in
"free""charge_full""not_supported"lifecycle*stringValue in
"preview""ga""deprecated""retired"retires_at?|Format
date-timeavailability*stringLive state of the model. unavailable when the provider is not configured or the model's circuit breaker is open (requests are rejected with model_unavailable); degraded while the breaker is half-open and probing recovery; operational otherwise.
Value in
"operational""degraded""unavailable"curl -X GET 'https://api.rawframe.dev/v1/models/string'Example Response
{ "object": "model", "id": "bytedance/seedance-2.5", "name": "string", "provider": "byteplus", "type": "image", "modes": [ "text_to_image" ], "capabilities": { "durations_seconds": [ 0 ], "resolutions": [ "720p" ], "aspect_ratios": [ "16:9" ], "max_outputs": 0, "audio": true, "seed": true, "negative_prompt": true, "max_prompt_chars": 0, "references": { "first_frame": 1, "last_frame": 1, "reference_image": 4 } }, "provider_options_schema": {}, "pricing": [ { "unit": "per_second", "when": {}, "amount_micros": 0, "min_charge_micros": 0 } ], "cancel_policy": "free", "lifecycle": "preview", "retires_at": "2019-08-24T14:15:22Z", "availability": "operational"}